---
layout: markdown_page
title: "Contracts"
---

## On this page
{:.no_toc}

- TOC
{:toc}

## Disclaimer

These agreements are examples of the agreements that we currently use at GitLab. However, the terms and conditions of an employee or
contractor’s agreement will vary based on each employee or contractor’s specific circumstances. GitLab reserves the right to amend or
change the sample agreements, as well as each employee or contractor’s actual agreement. The samples below are samples only — they are not
valid as such and do not replace personalized signed agreements.

## Available Currencies

The preference is for team members and future team members to be paid in their local currency. However, there may be instances where this is not possible and another currency may be chosen by the team member. This should be discussed and agreed with the Compensation Committee and the People Operations Analyst ahead of creating the appropriate contract (at offer stage for new team members) so a new one can be issued or confirmed by [Letter of Adjustment](#letter-of-adjustment). The effective exchange rate date used in these cases will be either January 1 or July 1 depending on the hire date of the new team member. This is to minimize significant fluctuations to salaries due to currencies that either strengthen or weaken throughout the year. Further details on this review period can be found in the [Global Compensation](/handbook/people-operations/global-compensation/) page under [Exchange Rates](/handbook/people-operations/global-compensation/#exchange-rates).

GitLab can pay local currency in the following countries:

<%= partial "/includes/contracts/payable_countries" %>

## How to use this page to prepare a contract
{:#how-to-use}

Assuming that the [hiring process](/handbook/hiring/) went smoothly, now it is time to prepare the applicable contracts. Once the verbal offer is made, the coordinator will send the contract to the applicant, using DocuSign in Greenhouse. On rare occasion, the coordinator may have to create the contract outside of Greenhouse using Google Docs; if this is the case, the coordinator needs to have a People Ops team member review the contract for accuracy before sending it out for signature.

First, be sure to validate the following:

1. The currency listed in the offer package in Greenhouse should normally be the local currency of the new team member unless they explicitly request USD/EUR because their local currency has a lot of inflation. This needs to be confirmed and approved by our People Ops Analyst prior to making the offer, as any changes to the currency will require complete reapproval in Greenhouse, regardless if it is the same amount just in a different currency.
1. Confirm if the team member would be an employee or contractor and through which entity the team member would be employed or contracted.
  1. Employee entity: employ through the GitLab entity where they are located (United States = Inc., the Netherlands = B.V., United Kingdom = Ltd, India = Lyra, Germany = GmbH, Ireland = Safeguard, Canada = CXC, Australia = PTY, China = CIIC, Belgium = B.V. (Belgian contract - depending on the location in Belgium the contract will need to be in either French or Dutch with the English translation alongside).
  1. Contractor entity: if the team member is in the US, or if the person is part of the Sales organization, GitLab Inc. is the contracting entity. In all other regions and functional groups, GitLab BV is the contracting entity. If the team member wants to be contracted through a company, it can either be their own established legal entity or a separate and unaffiliated 3rd party company; please confirm which with the team member prior to sending out the contract. If the team member will be contracted through their own entity (or as an independent contractor), please use the BV Contractor Agreement. If the team member will be contracted through a 3rd party company, please inform Legal so that we can enter into a vendor contract with the company. The 3rd party company will then enter into a contract with the team member, and People Ops Analyst will provide the necessary specific salary and position information.

### Send the contract through Greenhouse

1. Once the offer package has been approved in Greenhouse and the recruiter has given the verbal offer, go to the candidate's profile in Greenhouse. Verify the address is listed on the details tab. If the address is not listed you can locate it on the background check, or in the reference request email reply.
1. If necessary click Edit Profile to update the candidate's name to their legal name (given during the reference/background check stage) and list any preferred names in quotes as the first name. Legal names are required on contracts and for proper export to Bamboo HR.
1. Scroll to the section "Offer Documents" and click "Generate". Then click in the box and select from the options the appropriate template for the team member's entity, employment/contractor status, full-time or part-time, and any applicable bonuses. An example is `GitLab Inc full-time, with variable bonus/commission`. Then click "Generate". It will now populate and .docx and .pdf files under the "Offer Documents" section. Download the pdf and preview it to ensure everything populated correctly. If there are any token errors (i.e. problems with the information pulling from the candidate's profile and into the contract), Greenhouse will notify you. Most likely, if that happens it is because a field in the candidate profile is not accurately filled in. Once you fix the error, you'll need to "Regenerate" the contract.
1. Next, click "Send with DocuSign" right below the offer documents. You will need to have first connected your Greenhouse account with your DocuSign account by going to the integrations tab in Greenhouse.
1. Choose the correct template according to country, or if no country template is available select `Offer through DocuSign`. In the "To User" field, choose the GitLab signatory for the contract. In the "CC" field, add the recruiter and the hiring manager. Then click "Preview on DocuSign".
1. You will be redirected to DocuSign.
1. On the top left of the screen, click where it says the candidate's name, then click "Edit Recipients". Change the `2` next to the GitLab signatory's name to a `1`, change the `1` next to the candidate's name to a `2` and change the `1` next to the hiring manager's name to a `2`. This ensures that the contract goes to the GitLab signatory to sign first, as well as the recruiter for a Cc and once signed by them it will go to the candidate and the hiring manager with a Cc. Then click "Done".
1. Scroll throughout the contract and double check that the candidate and GitLab signatory signature and date fields are accurately added. If there is an Exhibit A to the PIAA section of the contract, be sure to add blank text boxes assigned the candidate, with the "yes or no" text box as required and the "if yes..." text box as optional. There may also be other fields you'll need to add a textbox for, so double check if there are any other fields that need to be completed by either the candidate or GitLab signatory (as contracts for different entities vary; one that is easy to miss is the UK contract which requires the candidate to input their national insurance number). Once you've verified that all the information is correct and appropriately assigned, click "Send" at the top right corner.
1. You'll now be redirected back to Greenhouse, where you can monitor the progress of the contract and be able to see when each party signs it. Once it is signed by all parties, you and everyone cc'd on the original request will receive a confirmation email that it has been signed.
1. If you need to resend the contract, follow the same steps, but be sure to log into your DocuSign account and first delete the original one to avoid confusion.

### How to add a contract into Greenhouse

1. In the Google Drive, go to the folder titled "Employee and Contractor Templates and Staging". Only the People Group, Finance, and Legal should have access to this folder.
1. Click the folder called "Templates" to find the relevant template contract (each document is also linked below).
1. Make a copy of the contract and move it into the "Greenhouse Templates" folder.
1. Log in to Greenhouse and go to "[Configure](https://app2.greenhouse.io/configure)" by clicking the gear at the top right corner, then choose "[Offer Templates](https://app2.greenhouse.io/account/offer_letter_templates)".
1. For each of the fields with curly brackets (`{ }`) in the template on Google Drive, find and replace that field (including the curly brackets) with the corresponding Greenhouse tokens (including the curly bracket). For example, `{Contributor Name}` in the Drive template will be replaced with `{{CANDIDATE_NAME}}`.
   1. Some fields that are not necessarily clear are the compensation fields as there are separate fields for the _vacancy_ and for the _candidate_; we want the candidate fields for the contract, so in Greenhouse, the appropriate token for salary is `{{CURRENCY}}`, bonus is `{{BONUS_AMOUNT}}`, and stock options is `{{STOCK_OPTIONS}}`. Another field that is easily confused is the title; the `{{JOB_NAME}}` is the name of the vacancy, which is not always necessarily the same as the title the candidate will have; to make sure it is always correct and includes the appropriate level and specialty for the candidate, use the token `{{FULL_TITLE__INCLUDING_LEVEL_AND_SPECIALTY_}}`.
   1. The one exception to the curly bracket find and replace process is the Belgian contract. The fields that need to be edited are highlighted.
   1. If there is no corresponding field in the Greenhouse tokens, go to "Configure", "Custom Options", "Offers". Then click "Add Field" at the top, and add the name of this field (being as succinct yet descriptive as possible), add a description if needed (this will only show up when hovering over the field), the type of field it will be (this cannot be changed once the field is created), and check off "Create new email token (optional)" which will allow you to include it in the contract. Then click save. The new field will populate at the bottom, and you'll be able to drag it elsewhere in list, but do keep in mind that this is the list that populates the offer package, so unless it's crucial to the offer/approval process, it's usually best left towards the bottom. It is, however, best practice to at least move it above the "Signatory Name" and "Signatory Title" fields, so that they are always last. Then, go back to the "Offer Templates" section in Greenhouse, and you'll see the new field you created is a new token option.
   1. When removing optional clauses, take care that the paragraph / section numbering still makes sense.
   1. Double check that each field that needs to be filled out is replaced with a Greenhouse token. Sometimes it is not always obvious, as the curly bracket might be regular brackets by mistake.
   1. For each signature section, the following tokens **must** be on their own line in the document, with nothing else on the line: `{{CANDIDATE_SIGNATURE}}`, `{{CANDIDATE_SIGNATURE_DATE}}`, `{{COMPANY_SIGNATURE}}`, and `{{COMPANY_SIGNATURE_DATE}}`. Find each signature page, then hit enter to create the new line after the "Signature", "Name", "Title", and "Date" sections, then copy the corresponding Greenhouse tokens. These can be easy to miss, so double check each signature section has the appropriate Greenhouse tokens, each on their own line.
   1. Most contracts will have various versions that need to created, e.g. one that contains bonus language for variable bonus/commission, director/executive bonuses, or signing bonuses. Best practice is to create the contract containing all of the additional information and title it accordingly, then once you are done go to "File" in Google Docs and choose "Make a copy". Then remove the information as needed and rename the new document and continue the steps below. You can view other documents in the Greenhouse Templates folder for examples.
   1. For contract templates with variable bonus/commission plans, replace all paragraphs with the token `{{VARIABLE_BONUS_TYPE_OFFER_SECTION}}` which will tell Greenhouse to automatically choose the correct bonus type based on the offer package created in Greenhouse.
1. Once you have completed customizing the contract for Greenhouse, click "File" in Google Docs, then "Download as" and "Microsoft Word (.docx)".
1. Then go back to the "[Offer Templates](https://app2.greenhouse.io/account/offer_letter_templates)" section in Greenhouse and scroll down to "Template Name" and click "Upload New" to the left.
1. Choose the document you've downloaded and add a name for the template. The convention is typically "GitLab `Entity` `employment-type`, `with/without bonus`", e.g. `GitLab Inc full-time, with variable bonus/commission`.
1. Greenhouse will upload the document and it will appear at the bottom of the page. There will be a `Test` button next to it; click this, and it will validate that all of the Greenhouse tokens are correctly inputted. If there are any errors, it will notify you. You will then need to go back to the template in Google Docs and correct the errors, redownload it, and reupload it to Greenhouse (after deleting the original one with mistakes). If all of the tokens are functioning properly, there will be green checkmarks, and you're ready to use this template for contracts!
1. To delete a contract template from Greenhouse, click the three dots `...` to the right of the template name, then click delete and confirm.

The "source of truth" for the contract templates are in the Google Drive, in the folder titled "Employee and Contractor Templates and Staging". Any updates to contracts will be done there first, and then the recruiting team needs to be pinged to be made aware of the changes so they can update the corresponding Greenhouse template.

To change or update a contract that has already been created and uploaded into Greenhouse, return to the corresponding Google Drive doc in the "Greenhouse Templates" folder, open the templates that need to be updated (there may be multiple that need to be changed, since there are different varieties of each contract to accommodate bonus structures, full-time/part-time, etc.), then update each accordingly. If you need to add new tokens to accommodate the change, be sure to follow step 5.3 in the above instructions. Once you have finished making any updates, click "File" in Google Docs, then "Download as" and "Microsoft Word (.docx)". Then go back to the "[Offer Templates](https://app2.greenhouse.io/account/offer_letter_templates)" section in Greenhouse. Find the contract that you are replacing, copy the name of it so you can maintain consistency, then click the three dots `...` to the right of the template name, then click delete and confirm. Then click "Upload New", paste the name of the template, and upload the new version. Click "Test" to validate that everything translated correctly (per step 9 above), and you are ready to use the new template.

### How to Update a Start Date After the Contract is Signed

To change a start date after a **GitLab entity** contract has been signed and the new team member has been "hired" in GreenHouse the Candidate Experience Specialist will complete the following steps:

1. Confirm the start date via email with the new team member, the recruiter, the hiring manager, and the Candidate Experience Specialist.
1. Save the email as a pdf file for upload into BambooHR.
1. Update GreenHouse.
   - Unhire the new team member in Greenhouse
   - Offer Details
   - Click the edit pencil next to the start date
   - Select the new Start Date
   - Save
   - Mark Candidate as Hired
   - Select Opening
   - Close Reason: Filled
   - Mark candidate private? Yes
   - Save
1. Update the [GitLab Onboarding Tracker](https://docs.google.com/spreadsheets/d/1L1VFODUpfU249E6OWc7Bumg8ko3NXUDDeCPeNxpE6iE/edit#gid=1721125348) start date and at mention/tag the assigned People Ops Specialist in the Google Sheet so they are aware of the new start date. Ensure you move the row to the appropriate section in the sheet as well. 
   - If the People Team already has an issue assigned for the new team member they will need to update the draft on-boarding issue's title to reflect the new start date.
   - Click on the Issue link from the [GitLab Onboarding Tracker](https://docs.google.com/spreadsheets/d/1L1VFODUpfU249E6OWc7Bumg8ko3NXUDDeCPeNxpE6iE/edit#gid=1721125348)
   - Click the pencil in the upper right hand corner to Edit title and description
   - Update to reflect the adjusted start date
   - Save changes
1. Update BambooHR to reflect the new start date.
   - Sign into Bamboo HR
   - Search of the new team member's name
   - Click on the Job tab under the name and title
   - Update the hire date to reflect the adjusted date
   - Save Changes
   - Click on the Documents tab under the name and title
   - Upload
   - Choose File(s)
   - Select the saved email pdf file
   - Open
   - Folder: Contracts and Changes
   - Check the "Share these File(s) with the Employee" box
   - Upload

To change a start date after a **PEO** contract has been signed and the new team member has been "hired" in GreenHouse the Candidate Experience Specialist will complete the following steps:

1. Confirm the start date via email with the new team member, the recruiter, the hiring manager, and the Candidate Experience Specialist.
1. Forward the email to the contact at the PEO.
1. The PEO will generate a new contract and send to the new team member.
   * The Candidate Experience Specialist will need to follow-up with the PEO contact to ensure the new contract is signed.
1. Update GreenHouse.
   - Unhire the new team member in Greenhouse
   - Offer Details
   - Click the edit pencil next to the start date
   - Select the new Start Date
   - Save
   - Mark Candidate as Hired
   - Select Opening
   - Close Reason: Filled
   - Mark candidate private? Yes
   - Save
1. Update the [GitLab Onboarding Tracker](https://docs.google.com/spreadsheets/d/1L1VFODUpfU249E6OWc7Bumg8ko3NXUDDeCPeNxpE6iE/edit#gid=1721125348) start date and at mention/tag the assigned People Ops Specialist in the Google Sheet so they are aware of the new start date. Ensure you move the row to the appropriate section in the sheet as well. 
   - If the People Team already has an issue assigned for the new team member they will need to update the draft on-boarding issue's title to reflect the new start date.
   - Click on the Issue link from the [GitLab Onboarding Tracker](https://docs.google.com/spreadsheets/d/1L1VFODUpfU249E6OWc7Bumg8ko3NXUDDeCPeNxpE6iE/edit#gid=1721125348)
   - Click the pencil in the upper right hand corner to Edit title and description
   - Update to reflect the adjusted start date
   - Save changes
1. Update BambooHR to reflect the new start date.
   - Sign into Bamboo HR
   - Search of the new team member's name
   - Click on the Job tab under the name and title
   - Update the hire date to reflect the adjusted date
   - Save Changes
   - Click on the Documents tab under the name and title
   - Upload
   - Choose File(s)
   - Select the saved email pdf file
   - Open
   - Folder: Contracts and Changes
   - Check the "Share these File(s) with the Employee" box
   - Upload
   
## Amended Contracts

Amended contracts must be uploaded to BambooHR and the People Operations Specialist must be informed. 

1. If the old contract was never active, delete the old contract from BambooHR
1. Upload the updated contract in 'Contracts and Changes'
1. Notify the People Operations Specialist of the change in the [GitLab Onboarding Tracker](https://docs.google.com/spreadsheets/d/1L1VFODUpfU249E6OWc7Bumg8ko3NXUDDeCPeNxpE6iE/edit#gid=1721125348)

It is essential that the People Operations Specialist is informed of all changes, as they must be updated in BambooHR


## Employment and Contractor Agreements
{:#employee-contractor-agreements}

The following contracts are in Google docs that are viewable by anyone with the link. They should be signed by a Recruiting Manager, with the Director of Recruiting, Director of Global People Operations, CPO, CFO, or CEO as backup.

- [GitLab Inc., employee offer letter with PIAA](https://docs.google.com/document/d/1D_g4VthdPbCHUoay6AwJwAKTZZfp9nGVcuaMWVLeG1I/edit?usp=sharing)
- [GitLab Inc., hourly employee offer letter with PIAA](https://docs.google.com/document/d/1JyCxKbTwt_8gL5X1o2TYvxoTRQo1y2nxdy6CAcpYnfk/edit#)
- [GitLab Inc., contractor agreement with PIAA](https://docs.google.com/document/d/1TJXiS8LLwyFZSUH2eKj3Y24TYoqDEnLV7b9WFXfnPs8/edit)
- [GitLab BV, employment contract with IP and NDA agreements](https://docs.google.com/document/d/1XF8nDDdvdY6P2SPKMVF2MFkdmO588mMp7Hv3tKwgj1o/edit#)
- [GitLab IT BV, contractor agreement with IP and NDA agreements](https://docs.google.com/document/d/1iyMRutEBnx4m2UBk0V2aaPQVvZi9iP3Kl9WqV8ouy0k/edit)
- [GitLab BV Belgium, employee contract](https://docs.google.com/document/d/1y0rpo2V9kq6fThOpc7J3ckniYu_RXgo5Jo4vMFrOl8Q/edit)
        - [Work Rules, Dutch](https://docs.google.com/document/d/1sN5pxdbpwnTW7NPgc1Q73o9b7uf1PAeG2vlo5egRpnQ/edit#)
        - [Work Rules, French](https://docs.google.com/document/d/1zlWXRcFC97n3OUl477zc9cGkiHrknLbUkt6lbFqvwGA/edit)
- [GitLab Ltd, employee contract with PIAA and Joint NIC agreements](https://docs.google.com/document/d/1H8BhvyrBTPuQ4_QGo08wIio38XISndqlONi9eqjdj2Y/edit#heading=h.bfk8qrda3d2r)
- [Lyra, employee contract with NDA agreements](https://docs.google.com/document/d/1Ua4Q9gA2C5QM_L3HlJy8Zb77cJtxSJ6EOA6gynvBRTQ/edit) Please note: these are not GitLab documents and are only visible to authorized persons at GitLab. Signed by Lyra's representative.
- [GitLab GmbH, employment agreement](https://docs.google.com/document/d/1RlMlwfbH1HRZ83eZVd7xElrEDEjIH-iBF-DmH5xhNRw/edit?usp=sharing)
- [GitLab PTY Ltd](https://docs.google.com/document/d/1YjvQnYsXBVDIRdV950az7Nw7vfEdUZyrEzXl0Jqqivk/edit)

## Employee Types at GitLab

To ensure the accurate entry of information in BambooHR, we created this table as guidance of what is applicaple in which location. When adding new team member's to BambooHR, please ensure you use this termnology for accurate reporting.

| Country  | Employee Type                       | Hiring Partner | PEO (Y/N) | Entity  | Pay Frequency |
|----------|-------------------------------------|--------|-----------|----------------|---------------|
| Australia | Employee | Not applicable| N |  GitLab PTY LTD | 12 |
| Belgium |  Employee | Not applicable| N | GitLab BV | 13.92 |
| Brazil | Employee | Safeguard | Y | GitLab BV | 12 |
| Canada | Employee-PEO and Contractor | CXC | Y | GitLab Inc | 12 |
| France | Employee-PEO | Safeguard | Y | GitLab BV | 12 |
| Germany | Employee | Not applicable | N | GitLab GmbH | 12 |
| Hungary | Employee-PEO and Contractor | Safeguard | Y | GitLab BV | 12 |
| India | Employee-PEO | Lyra | Y | GitLab BV | 12 |
| Ireland  | Employee-PEO                            | Safeguard    | Y         | GitLab BV              | 12 |
| Italy | Employee-PEO | Safeguard | Y |GitLab BV | 14 |
| Japan | Employee-PEO | Safeguard | Y | GitLab BV | 12 |
| Netherlands | Employee | Not applicable | N | GitLab BV  | 12.96 |
| New Zealand | Employee-PEO and Contractor | CXC | Y | GitLab BV | 12 |
| Poland | Contractor-PEO | CXC | Y | GitLab BV | 12 |
| Portugal | C2C (Company to Company Contractor) | Not applicable   |    N       |   GitLab BV   | 12 |
| Spain | Employe-PEO | Safeguard | Y | GitLab BV | 12 |
| South Africa | Employee-PEO and Contractor | Safeguard | Y | GitLab BV | 12 |
| South Korea | Employee-PEO | Safeguard | Y | GitLab BV | 12 |
| Switzerland | Employee-PEO | Safeguard | Y | GitLab BV | 12 |
|  UK | Employee | Not applicable| N | GitLab LTD | 12 |
| Ukraine | Contractor-PEO | CXC | Y | GitLab BV | 12 |
| US       | Employee                            | Not applicable  |        N   |    GitLab Inc          | 24 |
| US Federal | Employee | Not applicable | N | GitLab Federal LLC | 24 |
| Everywhere else | Contractor | Not applicable | N | GitLab IT BV | 12 |

## Employer of Record Providers

There are multiple options for employers of record in the market. This is not the exact list of providers GitLab uses, but is intended to help the wider community when looking for vendors. 

* Safeguard 
* CXC 
* [Elements](https://elementsgs.com/) 

## United States Employment Status

**[Fair Labor Standards Act](http://www.flsa.com/coverage.html): Exempt v. Nonexempt Employees**

* Nonexempt employees are paid hourly and required to track and report all hours worked. If a nonexempt employee works more than 40 hours during a work week, they are entitled to overtime pay. Overtime pay must have prior approval from the manager. Nonexempt employees are required to take two paid ten minute breaks and one unpaid thirty minute lunch break. As a fully distributed company, nonexempt employees are responsible for taking active ownership in ensuring they take the proper breaks. Please make the People Business Partner aware of circumstances where you feel compelled not to do so.
* Exempt employees are paid on a salaried basis, do not need to track their hours, and are not eligible for overtime pay. These employees must not spend more than 50% of their time doing nonexempt duties to remain exempt.
* For new positions, managers need to ensure the classification of the role is correct before sending an offer letter the candidate. For guidelines on how to determine if a role is exempt or nonexempt, please reference the "Exempt vs Nonexempt Checklist" (which can be found on the google drive, but is only viewable to managers at GitLab). For positions that already exist, please verify the classification with People Ops Analysts.

## Portugal Employment Status
In Portugal, we can only hire individuals that are hired on a C2C basis. This means, contractors that are hired through our [BV Contractor agreement](https://docs.google.com/document/d/1iyMRutEBnx4m2UBk0V2aaPQVvZi9iP3Kl9WqV8ouy0k/edit), via an established company in Portugal, with more than one client.
Unfortunately at this time, we are not able to hire any team members in sales whatsoever.

## Process for GitLab team-members in the Netherlands
In this location, a temporary labor contract (tijdelijk contract) is for one year, with a pre-determined end date. A dismissal procedure is not required to terminate a temporary contract at the end of its duration. It is quite common for Dutch employers to offer a second temporary contract when the first expires, but it's not guaranteed. As a Dutch employer, this is standard procedure for GitLab. As of 2015-07-01, employees who have worked with an employer on temporary contracts for at least two years are entitled to a permanent contract if the work agreement continues, this is known as the ketenregeling (chain rule). Also, an employee cannot have more than three temporary contracts with the same employer in a row. If a fourth contract is offered by GitLab then it must be a permanent one.  

1. The offer is made by the recruiter per the [hiring process](/handbook/hiring).
1. The Candidate Experience Specialist emails the new team member the Contract Info Request - the Netherlands from GreenHouse.
1. The Candidate Experience Specialist will update the GreenHouse offer details when the new team member provides the necessary details and then generates the appropriate GitLab BV contract out of GreenHouse.
1. The Candidate Experience Specialist will stage the contract for signature via DocuSign and Cc People Operations, the hiring manager, and the HRSavvy group email. This will ensure our payroll provider in this location can start their onboarding, well ahead of ours.  

## Process for GitLab Team Members in Australia
GitLab has an entity in Australia and use this [contract](https://docs.google.com/document/d/1YjvQnYsXBVDIRdV950az7Nw7vfEdUZyrEzXl0Jqqivk/edit) in this location. All team members in this location are employees.

## CXC

GitLab is working in partnership with [CXC Global](http://cxcglobal.com/) to employ GitLab team-members located in several countries listed below. The actual employment contracts will be sent and issued by CXC and are in accordance with local labor law. CXC also handle the processing and payment of payroll and associated taxes and compliance in each of the countries on behalf of GitLab. The contracts themselves are between the individual and CXC.  The offer details will be provided to CXC by GitLab's hiring team.

### New Zealand

CXC will hire individuals as casual employees with an initial contract of two years. This can be extended. Working time is set at 40 hours each week and payment of salary happens on a monthly basis upon payment of invoices that CXC will submit to GitLab at the beginning of each month. In addition to the details on leave, as stated in CXC's contract, further details are also provided in a separate letter.


1. Offer is made by the recruiter per the [hiring process](/handbook/hiring).
1. The Candidate Experience Specialist emails the new team member the Contract Info Request - New Zealand from GreenHouse.
1. The Candidate Experience Specialist will update the GreenHouse offer details when the new team member provides the necessary details and then generates the CXC form out of GreenHouse.
1. The Candidate Experience Specialist will stage the form for their own signature via DocuSign and Cc the People Operations Manager, the new team member and the appropriate CXC contact. Contact details can be found in 1password => People Operations Vault => Entity & Co-employer HR Contacts.
1. CXC will then prepare the SOW and contract.
1. CXC will then reach out to the candidates directly to coordinate the contract signing and onboarding to CXC's payroll.

### Canada

CXC will hire individuals as T4 Workers, paid on an hourly basis each fortnight. Time-sheets are required to be completed and submitted to CXC. These are to comply with the public holiday paid time off requirements and vacation pay accrual that is credited to the individuals account. In addition to the paid vacation as stated in CXC's contract, further details are also provided in a separate letter.

Timesheet completion and submission can be automated using the instructions and scripts in this [repository](https://gitlab.com/nfriend/cxc-canada-scripts).

1. Offer is made by the recruiter per the [hiring process](/handbook/hiring).
1. The Candidate Experience Specialist emails the new team member the Contract Info - CXC email from GreenHouse. Make sure to update the stock portion of the email to include any stock options that are in the candidate's offer.
1. The Candidate Experience Specialist will then generate the CXC form out of GreenHouse.
1. The Candidate Experience Specialist will stage the form for their own signature via DocuSign, the new team member and the appropriate CXC contact. Contact details can be found in 1password => People Operations Vault => Entity & Co-employer HR Contacts.
1. CXC will then prepare the SOW and contract.
1. CXC will then reach out to the candidates directly to coordinate the contract signing and onboarding to CXC's payroll.
1. Kindly allow a duration of one week for CXC to complete their process. This might mean that a two week notice period to start at GitLab, could increase to three weeks, its important to communicate this duration to new hires in this location.

CXC currently does not cover the Medical Services Plan (MSP) fees in British Columbia, Canada.

### Poland 

CXC provides a 12 month contract in this location, this can be extended 
The offer details will be provided to CXC by GitLab's hiring team.
1. Offer is made by the recruiter per the [hiring process](/handbook/hiring).
1. The Candidate Experience Specialist emails the new team member the Contract Info Request - CXC from GreenHouse.
1. The Candidate Experience Specialist will update the GreenHouse offer details when the new team member provides the necessary details and then generates the CXC form out of GreenHouse.
1. The Candidate Experience Specialist will stage the form for their own signature via DocuSign, the new team member and the appropriate CXC contact. Contact details can be found in 1password => People Operations Vault => Entity & Co-employer HR Contacts.
1. CXC will then prepare the SOW and contract.
1. CXC will then reach out to the candidates directly to coordinate the contract signing and onboarding to CXC's payroll.
1. Kindly allow a duration of one week for CXC to complete their process. This might mean that a two week notice period to start at GitLab, could increase to three weeks, its important to communicate this duration to new hires in this location.

### Ukraine

CXC provides a 12 month contract in this location, this can be extended. They are only able to support contractors that has an establised entity/company in Ukraine. 
The offer details will be provided to CXC by GitLab's hiring team.
1. Offer is made by the recruiter per the [hiring process](/handbook/hiring).
1. The Candidate Experience Specialist emails the new team member the Contract Info Request - CXC from GreenHouse.
1. The Candidate Experience Specialist will update the GreenHouse offer details when the new team member provides the necessary details and then generates the CXC form out of GreenHouse.
1. The Candidate Experience Specialist will stage the form for their own signature via DocuSign, the new team member and the appropriate CXC contact. Contact details can be found in 1password => People Operations Vault => Entity & Co-employer HR Contacts.
1. CXC will then prepare the SOW and contract.
1. CXC will then reach out to the candidates directly to coordinate the contract signing and onboarding to CXC's payroll.
1. Kindly allow a duration of one week for CXC to complete their process. This might mean that a two week notice period to start at GitLab, could increase to three weeks, its important to communicate this duration to new hires in this location.

## Safeguard

### Process for Ireland, Hungary, Switzerland, South Africa and South Korea

GitLab has also partnered with [Safeguard](http://www.safeguardworld.com/). While current team members in France, Spain, Brazil, Italy and Japan are employed via Safeguard as well, we are not hiring any further team members in these locations right now. You can also review this [document](https://drive.google.com/file/d/1aUjgb37XO-3LqdW8WF8l-QV2ZcTLBTPj/view?usp=sharing) that Safeguard created regarding frequently asked questions about their process. 

To create the contract:

1. The Offer is made by the recruiter per the [hiring process](/handbook/hiring).
1. The Candidate Experience Specialist emails the new team member to gather additional details required to generate the contract.
   - From the GreenHouse profile, under tools, click to email the new team member
   - From the template drop down list select: Contract Info Request - Safeguard
   - Send Email
1. The Candidate Experience Specialist emails the main Account Manager at Safeguard to request the contact for the new team members onboarding. (Contact details can also be found in 1password => People Operations Vault => Entity & Co-employer HR Contacts.)
   - From the GreenHouse profile, under tools, click to email the Team
   - From the template drop down list select:Safeguard Contact Request, the new team member's name and their location will auto populate
   - Uncheck Add a link to the candidate's profile
   -Send Email
1. When the new team member provides the necessary details the Candidate Experience Specialist will save the required forms of ID, update GreenHouse offer details and generates the Safeguard form out of GreenHouse.
   - Offer Details
   - Update
   - Work Authorization ID	
   - Nationality
   - Country of Citizenship
   - Level of Role 
   - Position Category
   - Travel Percentage 
   - Save
  
   - Navigate to Offer Documents
   - Generate
   - Click in the white space below Select templates
   - Select Safeguard - Template from the drop down list
   - Generate
   - Send with DocuSign
   - Template: Offer through DocuSign - Safeguard
   - To User: yourself
   - Add your Safeguard contact to the list of Cc email addresses
   - Attachments: Choose Files
   - Select the saved forms of ID file
   - Open
   - Preview on DocuSign
   - Select the new team member's name in the upper left hand corner
   - Edit Recipients
   - On the new team member's block change Needs to Sign to Receives a Copy
   - Edit the signing order to yourself 1 and everyone else 2
   - Done
   - Add fields to Section 5 of the form if they do not auto populate: Name, title, email, and date
   - Send
   - Do you want to sign this now? Yes
   - Sign the form

1. Once Safeguard receives the form they will contact the candidate directly to onboard them. This first contact usually takes 2-3 days, but can take up to a week.
1. If the Candidate Experience Specialist does not hear back from Safeguard within 72 hours, they will follow up to check if the start date is viable, get timing on when they will hear back and when the new hire will receive their contract and other important employee information. 
1. The new hire should be kept updated by the Candidate Experience Specialist or Recruiter by email. If the contract has not been received by GitLab 5 business days prior to the start date, we'll need to reconsider the start date.

## Preparing Employment Agreements for GitLab team-members in India

GitLab is working in partnership with [Lyra Infosystems](http://lyrainfo.com/) for employing GitLab team-members located in India. These agreements are mailed rather than emailed so there is a lead time of approximately one week for completion before the new hire can start their employment at GitLab. The process for creating and sending an agreement is as follows:

1. The Offer is made by the recruiter per the [hiring process](/handbook/hiring).
1. The Candidate Experience Specialist will email the new team member Contract Info Request - India from GreenHouse. Make sure to update the stock portion of the email to include any stock options that are in the candidate's offer.
1. The Candidate Experience Specialist will email Lyra HR with salary information for the new hire so that Lyra can prepare the Cost to Company (CTC) breakdown to include in the contract. The Cost to Company (CTC) breakdown will be sent to the Candidate Experience Specialist and is required to complete the next steps.
1. The Candidate Experience Specialist will update the GreenHouse offer details when the new team member provides the necessary details and then generates the LyraHR form out of GreenHouse and attaches the Cost to Company (CTC)  Sheet to "Anexure A."
1. The Candidate Experience Specialist will stage the form for their own signature via DocuSign and CC People Ops, the new team member and LyraHR. Contact details can be found in 1password => People Operations Vault => Entity & Co-employer HR Contacts.
1. Once the contract has been emailed, HR at Lyra will send the hardcopy for signature directly to the new team member's home address.
1. When the contract has been signed HR at Lyra will send the Candidate Experience Specialist a PDF copy of the document which can then be filed in BambooHR.

## Employment Agreements for GitLab team-members in China

GitLab is working in partnership with [CIIC](http://www.ciicsh.com/en/) to employ GitLab team-members located in China. Signed agreements between GitLab and CIIC are required to employ any new hire. Therefore, there will be a lead time of approximately three weeks prior to starting. As soon as it becomes clear that an offer to a candidate is going to be made, People Ops will reach out to CIIC to begin the process. The process for preparing the agreements between all parties is as follows:

**GitLab and New Hire:**

1. Once the verbal offer has been made by the recruiter [hiring process](/handbook/hiring/) complete the [Template-GitLab China Employee Offer letter](https://docs.google.com/document/d/1c69dG9TuAB0MgiKj_gLDuHTHpzjocvEAm2okUOKqRIs/edit#) as per [How to use this page to prepare a contract](#how-to-use).
1. CIIC require a Chinese version of a [Letter of Employment Intent](https://docs.google.com/document/d/1BEHvveYUJkS1xwyd037P_zzitOSotF_68Kbi-c7k8hY/edit).
1. Complete the Letter of Intents with all of the information required/known. This should be completed in [English](https://docs.google.com/document/d/1b3fHqHzXhhoJeskUN-Km9vTLeuszysWPj8PlvXm45ug/edit) first then translated into Chinese using Google Translate.
1. Once this has been done send the GitLab (Chinese & English) versions of the Letter of Employment Intent to the new hire for their review, completion and signature using DocuSign. Ensure that Peopleops and CIIC are copied.
1. Once everything has been signed, print and FedEx the Chinese and English Letter of Intents to CIIC. The address can be found in the PEO China folder > China Employment Options > CIIC in the Google Drive.

**GitLab & CIIC:**

1. GitLab has a Secondment Agreement in place with CIIC, this may need to be updated but CIIC will confirm.
1. Once CIIC have received the documents they will prepare a payment notice and send this to GitLab (peopleops) for payment. This must be paid upfront and may need CFO approval.
1. After CIIC receive payment they will reach out to the new hire to complete a Labor Contract.

**CIIC & New Hire**

Once the Labor Contract has been signed by both CIIC and the new hire the individual can now commence their work with GitLab.

## Employment Agreements for GitLab team-members in Germany

A wet signature is required for German employment agreements the following process must be followed:

1. The Offer is made by the recruiter per the [hiring process](/handbook/hiring).
1. The Candidate Experience Specialist sends the new team member the GreenHouse email template: German Contract Step 1.
1. The Candidate Experience Specialist generates the German Contract form out of GreenHouse and stages for signature though GreenHouse and DocuSign.
1. The Candidate Experience Specialist saves the unsigned contract to be used in a future step. It may require a manual edit to remove the signature tokens.
1. Once the DocuSign contract is sigend you may hire the candidate in Greenhouse.
1. The Candidate Experience Specialist saves the DocuSign Contract for upload into BambooHR as per the standard procedure.
1. Using the Greenhouse email template "German Contract to Mail" the Candidate Experience Specialist emails the unsigned contract to a Recruiting Manager, or the Recruiting Director or CPO as backup. Be sure to attach the unsigned contract to that email.
   Information that will auto populate in the email includes; 
   * German Power of Attorney (POA) document (Google Drive: Employee and Contractor Templates and Staging => German Contracts) 
   * new team member's name 
   * new team member's name address 
1. The Recruiting Manager will print two copies of the unsigned contract, sign and then send them to the new team member by postal service or FedEx (details of the fedex account can be found in 1Password => Secretarial Vault => Fedex).
1. Once the documents have been sent the Recruiting Manager will add the tracking number to the activity feed in the GreenHouse profile.
1. The Candidate Experience Specialist should set a Greenhouse reminder for 2 weeks time to follow-up with the new team member if they have not received an update.
1. When the new team member has emailed stating they received and signed the paper version, the Candidate Experience Specialist will email them back the GreenHouse email template German Contract Step 2.
1. Once the law firm has received the contract they will scan and email a copy to People Operations Specialist to file in BambooHR.

## Core Team Member Non-Disclosure Agreements
{:#core-team-nda}

Core team members are an important part of the GitLab community. In order for these individuals to be able to participate in confidential GitLab communications we ask core team members to sign a [Non-Disclosure Agreement](https://docs.google.com/a/gitlab.com/document/d/18nYA_UoTqLY_L-rW5qGJxLJfxDGwK5v_NXZVg1hoQzM/edit?usp=sharing). This document is reviewed and signed by the CFO.

## Letter of Adjustment

When a team member receives any change in compensation and/or title we need to create a [Letter of Adjustment](https://docs.google.com/document/d/1lxx92gGXL6hltRxKn0I6D8a8dHtvFBnElDf7dAlxkkQ/edit) instead of staging an entirely new contract. This document is signed by the Compensation & Benefits Manager (or the Director, Global People Operations in cases of time off) and the team member through either DocuSign (if the adjustment was a transfer/promotion done through Greenhouse) or HelloSign (if the adjustment was not done through Greenhouse, e.g. cost-of-living increases). When a team member applies for and receives a new position through Greenhouse, a Letter of Adjustment is prepared in lieu of a new contract using DocuSign. The Candidate Experience Specialist will prepare the letter. Using the Offer through DocuSign - Letter of Adjustment template in Greenhouse the letter is Cc'd to the Compensation team for [processing](/handbook/people-operations/promotions-transfers/#processing-promotion-or-transfer-changes).

Once the document has been signed, the Candidate Experience Specialist hires the individual in GreenHouse (if applicable) and the signed letter is uploaded into BambooHR under the Contracts and Changes folder on the Documents Tab by the People Operations Analyst. The Compensation team team ensures the information in HRIS and Payroll systems is updated.

## Probation Period

Upon joining GitLab some team members (location dependent, see the below detail for detail about each location) will have a probationary period of 3 to 9 months.
As per the [onboarding process](/handbook/general-onboarding/onboarding-processes/#adding-a-new-team-member-to-bamboohr) a notification in BambooHR will have been created.

### Important steps during the Probation Period:
1. Hiring Manager's are responsible for reviewing performance half-way through the probation period. If any under-performance has been found, this should be communicated to People Operations immediately (either via a People Operations Business Partner or by emailing the People Operations Team.
1. Towards the end of the Probation Period, the Hiring manager will receive a notification from BambooHR, mentioning the probation period is coming to an end. Once the manager has confirmed successful completion of the probationary period via email to the People Operations Team, a [confirmation email](https://docs.google.com/document/d/1JO9a1q3_-VSkzZiMbwhHkMIRvc88XMmg-eG7Aj2SbMo/edit) is sent from the People Operations team to the team member. Please cc peopleops@domain and the hiring manager.
1. This email should be saved in BambooHR for proof of the notification that was sent.
1. Update the team member's status to "active" under the employee status tab in BambooHR.
1. Should their performance not be at a level that their Manager is comfortable with at any time during the probation period, the Manager should reach out to a People Business Partner for further discussion and guidance, right away.

Current Entities and Co-employers with Probationary Periods:

| Location     | Probation period                                           | Notice during probation | Notice after probation   |
|--------------|------------------------------------------------------------|-------------------------|--------------------------|
| Australia    | 6 months                                                   | 1 week                  | 1 month                  |
| Brazil       | WIP                                                        |                         |                          |
| China        | 3 months                                                   | 3 days                  |                          |
| France       | 1 - 3 months dependant on reason for exit                  |                         |                          |
| Germany      | 6 months                                                   | 2 weeks                 | 4 weeks                  |
| Hungary      | 3 months                                                   | Immediate effect        |                          |
| India        | 6 months                                                   | 1 week                  | 30 days                  |
| Ireland      | 6 months                                                   | 1 week                  |                          |
| Italy        | 6 months for all other employees                           | Not applicable          | Not applicable           |
| New Zealand  | WIP                                                        |                         |                          |
| Netherlands  | No probation period                                        |                         |                          |
| Nigeria      | 6 months                                                   | 2 weeks                 |                          |
| South Africa | 6 months                                                   | 1 week                  |                          |
| Spain        | 6 months for skilled workers, 2 months for “other” workers |                         |                          |
| UK           | 3 months                                                   | 1 week                  | 1 month                  |
| USA (Inc)    | No probation period                                        | Not applicable          | None                     |
| USA (Fed)    | No probation period                                        | Not applicable          | None                     |

## Contractor Conversions to Employees

As GitLab continues to scale, we sometimes convert all BV Contractors in a country to Employees through a PEO (Professional Employer Organization). This also aligns with GitLab's [strategy](/company/strategy/#sequence) and growth plans. The People Operations Generalist is responsible for managing the country conversion process, which is typically initiated by a request from the VP of Legal or CFO.

**Converting Contractors to Employees:**
1. VP of Legal requests country conversion to PEO to PeopleOps.
1. The People Operations Generalist reaches out to existing vendors for rate quotes in the country we are planning to convert.
1. The PEO (Professional Employer Organisation) send an addendum with information and rates is then sent to the VP of Legal and CFO for review and approval. This triggers PeopleOps to complete the [contractor conversions sheet](https://docs.google.com/spreadsheets/d/1VUNv3qTAuDAsrXqY02mk05hik64UvckzjDDbyfuTdIo/edit#gid=1879813707) to show the cost analysis and impact of the conversion and shared with the CFO.
1. The Compensation Group reviews the cost and makes a decision on the compensation package and provides approval or rejection to the People Operations Generalist.
1. If approved a signature is requested from the CFO via Hellosign by the People Operations Generalist and a confidential issue will be created in the the People-OPs General issue tracker with a clear check-list of what the process will involve. If not approved, further solutions for the location should be researched.
1. All benefits information, contract templates, and any other documentation relating to the location, should be added under the Employee and Contracts Templates and Staging Folder in the shared drive.
1. The People Operations Generalist will send Payroll a note about the change that is coming and mention a follow up confirmation will be sent once completed.
1. The People Operations Generalist will send an email, containing the issue and all other information about the conversion, to the team member and their manager, confirming that a conversion in their location will be taking place. All questions relating to the converion should be sent to the People Operation Generalist via email.
1. The People Operations Generalist will complete the onboarding document for the PEO that was selected. These templates are found under the Employee and Contracts Templates and Staging Folder in the shared drive. These should then be sent to the main Account Manager of the relevant PEO that was selected and confirm which local contact should be used for this conversion.
1. The selected PEO will then reach out to the team member and start the onboarding process.
1. The People Operations Generalist will complete a Mutual Termination Agreement, found in the same shared drive as listed above. This will need to be signed in accordance with the new selected start date of the team member. These start dates are usually within two calendar months after the initial conversion email was sent.
1. The People Operations Generalist will keep the issue up to date with any questions asked documented in the relevant section of the handbook.
1. The People Operations Generalist will update the Payroll team to confirm the change as well as the internal compensation calculator, and BambooHR will need to be updated with the new status (this can be found under the job tab in BambooHR, the payroll type field and location field for updating).

## Approval for Outside Projects

Before beginning work on outside projects, paid or unpaid, that could potentially impair your ability to perform your obligations to GitLab, you must obtain approval in writing from your Manager and further approval from the People Operations team. To submit approval, email your manager to request approval and once given, please send that email to People Operations with details of the project/activities that you would like to work on. Confirmation will usually be in the form of an email and once received will be filed in the team member's BambooHR record under the `Contracts and Changes` folder on the `Documents` Tab. Projects involving a 1099 might require additional legal approval which will be coordinated by the People Operations team. For team members employed in the Netherlands confirmation will be given in the form of a [Authorization Letter](https://docs.google.com/document/d/1sDIRTqZZu46uiX8McOVuyfPKh-26rTDnQ3xBaoWzNjM/edit) once signed, this will be filed as outlined above.

For any approved outside activity in which the GitLab team-member will use his or her GitLab account, outside activity must be stored in a separate, personal project.  All other work completed as part of the GitLab employment or contract should be stored in a GitLab namespace with a GitLab copyright.

## PIAA Agreements

GitLab strives to help its Contributors maintain the ability to work on projects that are unrelated to GitLab’s business, including other open source projects. Our PIAA does not grant GitLab any rights in any creations that you may make that are not related to GitLab's business or the work you do for GitLab. That is, you are free to develop those creations without requesting approval in advance from GitLab. We have created an amendment to the PIAA agreement which can be viewed in [amendment to PIAA](https://docs.google.com/document/d/1oEfDCIht7Vy6KdcGXWPHZBUXLUUZS9hsvYnOYhQjllg/edit). Please email people operations who will complete and stage the document for signatures.  Given that there is necessarily some ambiguity about which projects relate to or don't relate to our business, we have created a process to increase clarity on this issue and encourage outside work by our Contributors. If you're pretty sure that a project you want to work on is unrelated to GitLab's business, but you want GitLab to confirm this ahead of time (or afterwards), you can fill out the [Acknowledgement Letter](https://docs.google.com/document/d/1aZJZUUEN_ySueZ8i3ak7Eu21cEYm4a8EZm-xILJGiQM/edit) we've provided with a detailed description of the project. GitLab will review your submitted project details, and if we agree that it is not related to our business and does not result from your work for GitLab, we'll sign the letter and return it to you.

## Usability Testing Consent
{:#usability-consent}

**Consent Form for GitLab Usability Test**


During this usability test I agree to participate in an online session using my computer and telephone. During the session I will be interviewed about the site, asked to find information or complete tasks using the site, asked to complete an online questionnaire about the experience, and I may be video recorded (together, these form the “Materials”).

I understand and consent to the use and release of the Materials by GitLab B.V. (“GitLab”). These materials will likely be made public. I understand that it is the discretion of GitLab to decide whether and how to use the Materials. I relinquish any rights to the Materials and understand the recording may be copied and used by GitLab without further permission. I hereby agree to release, defend, and hold harmless GitLab and its agents or employees, from and against any claims, damages or liability arising from or related to the use of the Materials, including but not limited to libel, defamation, invasion of privacy or right of publicity, infringement of copyright or trademark, misuse, distortion, blurring, alteration, optical illusion or use in composite form, either intentionally or otherwise, that may occur or be produced in taking, processing, reduction or production of the Materials, their publication or distribution.

I have read the above authorization, release, and agreement and I am fully familiar with the contents thereof. This release shall be binding upon me and my heirs, legal representatives, and assigns. I understand that participation is voluntary and I agree to immediately raise any concerns I might have.

If you have any questions after today, please contact {GitLab Contact Person}.


Please sign below to indicate that you have read and understand the information on this form and that any questions you might have about the session have been answered.


Date:{Date}

Please print your name: {Usability Tester Name}

Please sign your name:

Thank you!

We appreciate your participation.
